Description

The "User folder" node in Catalog v. 1.0.0-11 is not working in Windows. See #4748#note-2.

Related to #4748.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4748: Can't execute auto... Closed 11/30/2017

History
#1 - 12/04/2017 07:09 PM - Antonio Falciano

Patching the HomeFolder class in folders.py in this way:

from java.lang import System

# ...

class HomeFolder(FolderNode):
  def __init__(self, parent):
    if System.getProperty("os.name").lower().startswith("win"):
      homeFolder = os.getenv("USERPROFILE")
    else:
      homeFolder = os.path.expanduser('~')
    FolderNode.__init__(self, parent, 
      homeFolder,
      ToolsLocator.getI18nManager().getTranslation("_User_folder"),
      icon=getResource(__file__,"images","Home.png")
    )

 works pretty fine in Windows, even if other errors occur like the following:
WARN 80875 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingExtension - Can't get file list from 'C:\Users\Antonio\Cookies'
Traceback (most recent call last):
  File 'C:\\Users\\Antonio\\gvSIG\\plugins\\org.gvsig.scripting.app.mainplugin\\2.4.0\\scripts\\addons\\Catalog\\folders.py', line 126, __init__
listdir(): an unknown error occurred: C:\Users\Antonio\Cookies

WARN 80880 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingExtension - Can't get file list from 'C:\Users\Antonio\Dati
applicazioni'
Traceback (most recent call last):
  File 'C:\\Users\\Antonio\\gvSIG\\plugins\\org.gvsig.scripting.app.mainplugin\\2.4.0\\scripts\\addons\\Catalog\\folders.py', line 126, __init__
listdir(): an unknown error occurred: C:\Users\Antonio\Dati applicazioni

WARN 80963 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingExtension - Can't get file list from 'C:\Users\Antonio\Documenti'
Traceback (most recent call last):
  File 'C:\\Users\\Antonio\\gvSIG\\plugins\\org.gvsig.scripting.app.mainplugin\\2.4.0\\scripts\\addons\\Catalog\\folders.py', line 126, __init__
listdir(): an unknown error occurred: C:\Users\Antonio\Documenti

WARN 81171 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingExtension - Can't get file list from 'C:\Users\Antonio\Impostazioni
locali'
Traceback (most recent call last):
  File 'C:\\Users\\Antonio\\gvSIG\\plugins\\org.gvsig.scripting.app.mainplugin\\2.4.0\\scripts\\addons\\Catalog\\folders.py', line 126, __init__
listdir(): an unknown error occurred: C:\Users\Antonio\Impostazioni locali

WARN 81178 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingExtension - Can't get file list from 'C:\Users\Antonio\Menu Avvio'
Traceback (most recent call last):
  File 'C:\\Users\\Antonio\\gvSIG\\plugins\\org.gvsig.scripting.app.mainplugin\\2.4.0\\scripts\\addons\\Catalog\\folders.py', line 126, __init__
listdir(): an unknown error occurred: C:\Users\Antonio\Menu Avvio

[...]

#2 - 12/13/2017 01:51 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4748: Can't execute autorun from Catalog v. 1.0.0-10 added

#3 - 12/13/2017 01:52 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2846 (rev. org.gvsig.desktop-2.0.215)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

r43684

#4 - 01/03/2018 12:14 PM - Antonio Falciano
- Status changed from Fixed to Closed
